Subject: @TODO in method documentation UniqueEntityValidator throws error when updating Neos
Description

@TODO in method documentation UniqueEntityValidator throws error when updating Neos

#1355480641: Execution of subprocess failed with exit code 1 and output: Uncaught Exception [Semantical Error] The annotation
"@TODO" in class TYPO3\Neos\Validation\Validator\UniqueEntityValidator was never imported. Did you maybe forget to add a "use"
statement for this annotation? More Information Exception code #0 File
/Applications/MAMP/htdocs/phoenix.dev/Base/Packages/Libraries/doctrine/common/lib/Doctrine/Common/Annotations/AnnotationException.php line 52 The erroneous command was: FLOW_ROOTPATH='/Applications/MAMP/htdocs/phoenix.dev/Base/' FLOW_CONTEXT='Development' XDEBUG_CONFIG='idekey=FLOW_SUBREQUEST remote_port=9001' "/Applications/MAMP/bin/php/php5.3.6/bin/php" -c '/Applications/MAMP/bin/php/php5.3.6/conf/php.ini' '/Applications/MAMP/htdocs/phoenix
eption.php line 52 The erroneous command was: FLOW_ROOTPATH='/Applications/MAMP/htdocs/phoenix.dev/Base/'
FLOW_CONTEXT='Development' XDEBUG_CONFIG='idekey=FLOW_SUBREQUEST remote_port=9001'
"/Applications/MAMP/bin/php/php5.3.6/bin/php" -c '/Applications/MAMP/bin/php/php5.3.6/conf/php.ini'
'/Applications/MAMP/htdocs/phoenix.dev/Base/Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/../../../../Scripts/flow.php' 'typo3.flow:core:compile' (More information)
' 'typo3.flow:core:compile' (More information)

Related issues:
duplicates TYPO3.Neos - Task # 45443: Replace Neos specific unique entity val... Resolved 2013-02-13

Associated revisions
Revision fdd4d9a1 - 2013-02-21 19:04 - Mattias Nilsson

[BUGFIX] Change @TODO to @todo in UniqueEntityValidator

When using @TODO in method documentation for the UniqueEntityValidator
an error is thrown. Changing to PHP doc standard @todo solves the
issue.

Change-Id: I141c001ab8544df2cb4c9f48ebf59f932bad3c98
Fixes: #45722

History
#1 - 2013-02-21 19:06 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18433

#2 - 2013-02-21 19:36 - Mattias Nilsson
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fdd4d9a1f1b1f60b97cfb75b0c34e5d90ec29292.
